use utf8;
use strict;
use warnings FATAL => 'all';

package Xyzzy::Fail;

use Xyzzy::Handler -Base;

use Xyzzy::Status;
use Xyzzy::Response;

field 'code' => 418;
field 'message';

sub handle {
	my $status = new Xyzzy::Status($self->code, $self->message);
	return new Xyzzy::Response(status => $status);
}
